@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
pico_lwip_nosys
pico_lwip

Glue library for integration lwIP in `NO_SYS=1` mode with the SDK. More...

## Functions

bool | lwip_nosys_init (async_context_t *context)
| Initializes lwIP (NO_SYS=1 mode) support support using the provided async_context.
void | lwip_nosys_deinit (async_context_t *context)
| De-initialize lwIP (NO_SYS=1 mode) support.

## Detailed Description

Glue library for integration lwIP in `NO_SYS=1` mode with the SDK.

Simple `init` and `deinit` are all that is required to hook up lwIP via an async_context instance.

## Function Documentation

## lwip_nosys_deinit()

void lwip_nosys_deinit | ( | async_context_t * | context | ) |

De-initialize lwIP (NO_SYS=1 mode) support.

Note that since lwIP may only be initialized once, and doesn't itself provide a shutdown mechanism, lwIP itself may still consume resources

It is however safe to call lwip_nosys_init again later.

Parameters

  context | the async_context the lwip_nosys support was added to via lwip_nosys_init

## lwip_nosys_init()

bool lwip_nosys_init | ( | async_context_t * | context | ) |

Initializes lwIP (NO_SYS=1 mode) support support using the provided async_context.

If the initialization succeeds, lwip_nosys_deinit() can be called to shutdown lwIP support

Parameters

  context | the async_context instance that provides the abstraction for handling asynchronous work.

Returns
  true if the initialization succeeded